import * as React from 'react';
import { IChartTableProps } from './ChartTable.types';
import { IImageExportOptions } from '../../types/index';
export declare class ChartTableBase extends React.Component<IChartTableProps> {
    private _isRTL;
    private _rootElem;
    constructor(props: IChartTableProps);
    toImage: (opts?: IImageExportOptions) => Promise<string>;
    render(): JSX.Element;
}
